Ubuntu

Boot starts with: "setting mode nnn x nnn failed"

Reported by Duncan Lithgow on 2006-10-23
152
This bug affects 25 people
Affects Status Importance Assigned to Milestone
usplash (Ubuntu)
Medium
Unassigned
Nominated for Karmic by Cyberkilla

Bug Description

Ubuntu 8.10
Linux 2.6.27-9-generic

Output of lspci-vvnn attached as duncans_lspci-vvnn.txt

During boot I (sometimes) get the following output if I press CTRL + F1 to see what's happening:

usplash: Setting mode 1152 x 864 failed
usplash: Using mode 1024 x 768

My screen is 1440 x 900, so I don't know why the first one there failed. My system is described at https://wiki.ubuntu.com/LaptopTestingTeam/HP_Pavilion_DV8220EA

duncan@duncan-laptop:~$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

Thomas Mashos (tgm4883) wrote :

I also get this every time I try to reboot. I also have a 1440x900 screen (acer) on my desktop. Getting this error on my Feisty 64-bit installation.

William Wynn (williamwynn) wrote :

I know this is a very old thread, but I'm posting this here just because the last two had something in common with me.

I just randomly started getting this error too.

I've got Ubuntu 7.10 on my Dell Inspiron E1505 (along with Vista) and just thought since I'm also at 1440x900 there could be some connection... or not.

I'm off to find a solution then.

Patuti (patucci) wrote :

Exactly the same problem here, if I remove the "splash" parameter from the boot string it seems to work fine.
but when it has the "splash" parameter sometimes it freezes after that same message:

"usplash: Setting mode 1280x1024 failed
usplash: Setting mode 1024x728 failed......"

and sometimes it works.

My nb specs:

Acer Aspire 7520-5949
AMD Athlon 64 X2 Mobile TK-53 (1.7GHz, 2x 256KB L2 Cache)
NVIDIA GeForce 7000M/610
2GB DDR2
17 " Wide
120GB HD

William Wynn (williamwynn) wrote :

For me, I had to restart the x server and then everything worked fine. But mine sounds different, because it would never get past that. It might be worth a shot though.

Saivann Carignan (oxmosys) wrote :

Thanks for your contribution to ubuntu. Can you test if this problem still happens in latest linux ubuntu gutsy/development hardy release? And if you can still reproduce that issue on one of these two releases, can you provide the following informations? :

1. What version ubuntu release you tested.
2. The file created by this command on a terminal : lspci -vvnn > lspci-vvnn.txt
3. The output of this command on a terminal : cat /etc/usplash.conf
4. The output of this command on a terminal : uname -a

Changed in usplash:
importance: Undecided → Medium
status: New → Confirmed
Fred (eldmannen+launchpad) wrote :

Ubuntu 8.10 Intrepid Ibex (alpha)

usplash: Setting mode 1024x768 failed
usplash: Setting mode 800x600 failed
usplash: Setting mode 640x480 failed
screen init failed

usplash 0.5.23
Linux ubuntu 2.6.26-5-generic #1 SMP Fri Aug 15 13:54:58 UTC 2008 i686 GNU/Linux

$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1280
yres=768

Saivann Carignan (oxmosys) wrote :

Duncan Lithgow : Can you give the informations I asked earlier?

Saivann Carignan (oxmosys) wrote :

Fred : Thanks for these informations, can you attach the file created by this command in a terminal? lspci -vvnn > lspci-vvnn.txt

This is necessary since this will give us more information about your graphic card.

Richard Wilbur (richard-wilbur) wrote :

I see the exact messages Fred reports on my work machine running up-to-date Ubuntu Hardy Heron 8.04.1 AMD64 during shutdown.
[...]
* Terminating all remaining processes... [ OK ]
* Sending all processes the KILL signal... [ OK ]
usplash: Setting mode 1024x768 failed
usplash: Setting mode 800x600 failed
usplash: Setting mode 640x480 failed
screen init failed
_ <--- blinking cursor

Network interfaces seem to be down, so I can't log in to find out what the logs say just happened. I'll restart and collect some data.

I have a Dell Optiplex 745 tower connected to a Dell E248WFPb 24" LCD 1920x1200 display that works great while I'm logged in. The splash screen seems to work fine during boot.

Answers:
1. Ubuntu 8.04.1
2. see attached lspci-vvnn.txt
3. cat /etc/usplash.conf
# Usplash configuration file
xres=1024
yres=768
4. uname -a
Linux rwilbur-desktop 2.6.24-22-generic #1 SMP Mon Nov 24 19:35:06 UTC 2008 x86_64 GNU/Linux

I am a software engineer willing to delve into code if I only knew what to get and from where.

For the record, as I am on Hardy Heron I am using usplash version 0.5.19

Saïvann:

* Ubuntu 8.10

* I have attached duncans_lspci-vvnn.txt

*
duncan@duncan-laptop:~$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

* Linux duncan-laptop 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008 i686 GNU/Linux

description: updated
GG (pcdoctor01) wrote :

kubuntu 8.04.1
I attached my lspci-vnn.txt to this message.

usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

GG (pcdoctor01) wrote :

Asus p5gc-mx/1333 motherboard
2gb ram
EVGA Nvidia geforce 7200 gs video card 256mb
Dell 19" lcd

Maybe all of us have Nvidia video cards.

Dennis (tcwden) wrote :

My notebook is Samsung Q210.

I am now using Ubuntu 8.10

# Usplash configuration file
xres=1600
yres=1200

Linux dennis-laptop 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008 i686 GNU/Linux

I ended up installing Linux Mint 5. I'm not sure why Mint is working
better since it's based on Ubuntu.

Dennis wrote:
> My notebook is Samsung Q210.
>
> I am now using Ubuntu 8.10
>
> # Usplash configuration file
> xres=1600
> yres=1200
>
> Linux dennis-laptop 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008
> i686 GNU/Linux
>
>
> ** Attachment added: "lspci-vvnn.txt"
> http://launchpadlibrarian.net/20982805/lspci-vvnn.txt
>
>

Benjamin von Engelhardt (bve) wrote :

Same for me with ubuntu jaunty on a Lenovo X300:

usplash: Setting mode 1152x862 failed
usplash: Using mode 1124x768

$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

$ uname -a
Linux bensthinkpad 2.6.30-020630rc2-generic #020630rc2 SMP Wed Apr 15 13:20:18 UTC 2009 x86_64 GNU/Linux

(appeared also on generic 2.6.28)

GG (pcdoctor01) wrote :
Download full text (3.4 KiB)

I got frustrated and decided to give Linux Mint a try. So far, I love Linux Mint more than Kubuntu. Now I don't have to worry about manually installing mp3, flash, dvd, support etc.
I haven't gotten this error since I switched to Mint.
www.linuxmint.com
Linux Mint is Ubuntu/Kubuntu/Xubuntu with 3rd party stuff already added.
Pictures of Linux Mint (gnome ubuntu 8.10)
Pictures of Linux Mint (kde kubuntu 8.10)
http://www.thecodingstudio.com/opensource/linux/screenshots/index.php?linux_distribution_sm=Linux%20Mint%206%20Xfce

---- bve <email address hidden> wrote:
> Same for me with ubuntu jaunty on a Lenovo X300:
>
> usplash: Setting mode 1152x862 failed
> usplash: Using mode 1124x768
>
> $ cat /etc/usplash.conf
> # Usplash configuration file
> # These parameters will only apply after running update-initramfs.
>
> xres=1440
> yres=900
>
> $ uname -a
> Linux bensthinkpad 2.6.30-020630rc2-generic #020630rc2 SMP Wed Apr 15 13:20:18 UTC 2009 x86_64 GNU/Linux
>
> (appeared also on generic 2.6.28)
>
>
>
> ** Attachment added: "lspci-vvnn.txt"
> http://launchpadlibrarian.net/25793518/lspci-vvnn.txt
>
> --
> Boot starts with: "setting mode nnn x nnn failed"
> https://bugs.launchpad.net/bugs/67826
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “usplash” source package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 8.10
> Linux 2.6.27-9-generic
>
> Output of lspci-vvnn attached as duncans_lspci-vvnn.txt
>
> During boot I (sometimes) get the following output if I press CTRL + F1 to see what's happening:
>
> usplash: Setting mode 1152 x 864 failed
> usplash: Using mode 1024 x 768
>
> My screen is 1440 x 900, so I don't know why the first one there failed. My system is described at https://wiki.ubuntu.com/LaptopTestingTeam/HP_Pavilion_DV8220EA
>
> duncan@duncan-laptop:~$ cat /etc/usplash.conf
> # Usplash configuration file
> # These parameters will only apply after running update-initramfs.
>
> xres=1440
> yres=900

---- bve <email address hidden> wrote:
> Same for me with ubuntu jaunty on a Lenovo X300:
>
> usplash: Setting mode 1152x862 failed
> usplash: Using mode 1124x768
>
> $ cat /etc/usplash.conf
> # Usplash configuration file
> # These parameters will only apply after running update-initramfs.
>
> xres=1440
> yres=900
>
> $ uname -a
> Linux bensthinkpad 2.6.30-020630rc2-generic #020630rc2 SMP Wed Apr 15 13:20:18 UTC 2009 x86_64 GNU/Linux
>
> (appeared also on generic 2.6.28)
>
>
>
> ** Attachment added: "lspci-vvnn.txt"
> http://launchpadlibrarian.net/25793518/lspci-vvnn.txt
>
> --
> Boot starts with: "setting mode nnn x nnn failed"
> https://bugs.launchpad.net/bugs/67826
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “usplash” source package in Ubuntu: Confirmed
>
> Bug description:
> Ubuntu 8.10
> Linux 2.6.27-9-generic
>
> Output of lspci-vvnn attached as duncans_lspci-vvnn.txt
>
> During boot I (sometimes) get the following output if I press CTRL + F1 to see what's happening:
>
> usplash: Setting mode 1152 x 864 failed
> usplash: Using mode 1024 x 768
>
> My screen is 1440 x 900, so I don't know why the first...

Read more...

Jibo HE (jibo-he) wrote :

I am still met this problem in ubuntu 9.04 with my DELL 6400 laptop.

1. What version ubuntu release you tested.
9.04, 64 bit.

2. The file created by this command on a terminal : lspci -vvnn > lspci-vvnn.txt
please see the attached file.

3. The output of this command on a terminal : cat /etc/usplash.conf
$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

4. The output of this command on a terminal : uname -a
$ uname -a
Linux he-laptop 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

Thanks a lot.

I have the same problem. I use Kubuntu Jaunty 9.04 - 64 bits (I also tried Kubuntu 8.10 but same problem).

#usplash: Setting mode 1152x864 failed
#19+0 records in
#19+0 records out
#kinit: name_to_dev_t(/dev/disk/by-uuid/33258ade-dcf5-42b0-bdfe-2f6afc658e3c) = dev(8,37)
#kinit: trying to resume from /dev/disk/by-uuid/33258ade-dcf5-42b0-bdfe-2f6afc658e3c
#kinit: No resume image, doing normal boot...
#usplash: Using mode 1024x768

And I still facing the prompt.
This problem appears after I install nVidia Drivers, 173, 177, 180. It's maybe because I have nVidia Sli (2x GeForce 9600GT). I tried to modify xorg.conf but it doesn't work.

$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

GG (pcdoctor01) wrote :

I have an EVGA Nvidia geforce 7200 gs video card 256mb (pci-e card)
Nvidia driver 173.14.12
The following programs are installed according to Adept:

nvidia-glx-new-dev-envy
nvidia-glx-new-envy
nvidia-new-kernel-source-envy

Here is a copy of my xorg.conf
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
 Option "AddARGBGLXVisuals" "True"
 Defaultdepth 24
EndSection

Section "Device"
 Identifier "Configured Video Device"
 Driver "nvidia"
EndSection

Section "InputDevice"
 Identifier "Generic Keyboard"
 Driver "kbd"
 Option "XkbRules" "xorg"
 Option "XkbModel" "pc105"
 Option "XkbLayout" "us"
 Option "XkbOptions" "lv3:ralt_switch"
EndSection

Section "InputDevice"
 Identifier "Configured Mouse"
 Driver "mouse"
 Option "CorePointer"
 Option "Emulate3Buttons" "true"
EndSection

Section "ServerLayout"
 Identifier "Default Layout"
  screen "Default Screen"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Extensions"
 Option "Composite" "Enable"
EndSection

GG (pcdoctor01) wrote :

My usplash

# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

I tried again, and I have made a copy of xorg.conf before installing nvidia drivers. Because it is when I install nvidia drivers that there is no more graphic interface after the restart of Ubuntu. Then I modified xorg.conf and configured those two devices, SLI option, which device on the screen, but without succeed.

So I replace the old xorg.conf that don't specify to use nvidia drivers (and I restarted computer), but I still have the same problem... no xorg. So is there any other conf file like xorg.conf that could skip xorg?

(sorry for my english, I'm french)

It's unbelievable! :D
I removed my nvidia drivers 180 by using :
sudo apt-get remove 'nvidia-*'
Then I modified original xorg.conf, only two lines in the Device section:

Driver "nv"
BusID "PCI:03:00:0" #(To know your PCI bus used by your VGA use the command: $lspci | grep VGA)

And after in the shell prompt :

$startx

I was facing the graphic interface, and I re-installed nvidia drivers 180 and modified xorg.conf again (which has not been modified automatically by the driver installation this time), just this line in Device section :

Driver "nvidia"

Everything is going okay now, the KDE desktop is more beautiful than without nvidia drivers :) but I don't have the time to configure my SLi tonight.

Hope this will help you.

alex (1alex) wrote :

I get the same error with Karmic up-to-date as of Oct. 19th 2008. My monitor supports 1440x900.

I get this error in Karmic too.

The Ubuntu logo in the middle of the screen looks stretched horizontally and a bit pixelated.

I have a 1440x900 screen too.

Tiefflieger (tiefflieger) wrote :

Having this issue at Karmic (having just upgraded), too

I got this message:
"usplash: Setting mode 1152 x 864 failed
usplash: Using mode 1024 x 768"

and resolved it by editing /etc/usplash.conf by changing its content to
"xres=1024
yres=768"

and afterwards executed

sudo update-initramfs -u

At the next restart everything was just fine ;-)

Except, it's the wrong resolution, Tiefflieger. Surely your screen is larger than that.

Mine is 1440x900, so it's widescreen. Having usplash drop to 1024x768 gives me an blurred, slightly horizontally stretched Ubuntu icon.

linusr (linusr) wrote :

looks all of us having 1440x900 resolution has the issue

linusr: That seems to be the underlying theme of this bug report, I agree.

I get the impression that nobody is listening to use any more;)

Anyway, I think I should also point out that I have an NVidia GeForce 8400M GT graphics card, using the proprietary drivers. However, I was under the impression that usplash used Vesa, so I don't think the driver can be at fault. In fact, the console output shows that the nvidia driver is one of the last things to load before [X]splash starts, so it isn't even ready in time for usplash.

In the following post, I have pasted the output of "sudo hwinfo --framebuffer". It shows the available mode settings.
At 1440x900, it only shows 8 and 24bit depth. Most of the other resolutions have 16 bit also.

http://ubuntuforums.org/showpost.php?p=8157195&postcount=5

I don't know if this has anything to do with it, but it's all I can come up with atm.

Tiefflieger (tiefflieger) wrote :

@cyberkilla: I have an old 21" 1280x1024 CRT, I don't recognize any blurr or stretches in the startup icon.

Works fine for me, I can bear the slightly lower resolution at boot time ;-)

Hello,

You wouldn't see any problem - you have a CRT. CRT monitors do not have a native resolution.

LCD monitors look horrific when they automatically upscale a tiny image onto a larger resolution with a completely different aspect ratio :-) CRT is an obsolete technology now. I haven't seen a computer shop sell them for years.

Sorry for all of these comments!

For some reason, after a few updates and a bit of messing around with usplash.conf, I have it running at 1024x768 without being all stretched. Don't get me wrong, it is still blurred because it isn't the native resolution. Still, it is half decent now.

The actual problem of not being able to set 1440x900 (which is the native rez of my monitor and set in usplash.conf when I installed Ubuntu) is still not resolved. This bug report isn't getting a lot of action; I'd post a fresh bug report, but it would only be a duplicate of this ancient one.

I'll keep an eye on this bug report, but I don't want to force the issue;)

Amr Hassan (amr-hassan) wrote :

Bitten by this bug after installing a fresh Karmic RC. My screen is constantly flickering as well as previously mentioned symptoms.
My monitor is a LG 1440x900 screen. Will try editing usplash.conf now.

tags: added: karmic karmic-rc
sverris (kunstenaar) wrote :

this usplash boot message bug confirmed on a compaq nx9105, using karmic rc, with a nvidia geforce4 420go 32M and a 1280x800 screen:
- failed to use this resolution and uses a lower one instead
- on shutdown, the usplash message returns, switches into xxx-server-login for a second, which is then killed by the shutdown process...

sverris (kunstenaar) wrote :

commenting my confirmation (#35):
- editing the usplash.conf and running update-initramfs solved the problem (also at shutdown) and boot process is faster...

sverris (kunstenaar) wrote :

once more getting back to my comments (#35 and #36): the problem on shutdown is not solved... maybe, that is another bug:
https://bugs.launchpad.net/ubuntu/+source/usplash/+bug/434786

discont (discont) wrote :

Still exists in Karmic.

Dell Inspiron 6400. 1440x900

Confirmed on Clevo M54SR (M541SR) notebook.
1440x900
Ubuntu 9.10 RC
kernel 2.6.31-14 x86_64
usplash 0..5.48

lemmy (lemmyg) wrote :

I can confirm this issue in test iso of karmic final.
I have Dell inspiron 1720 laptop 1440x900

Linux 2.6.31-14.48
usplash 0.5.49

MD5Sum : dc51c1d7e3e173dcab4e0b9ad2be2bbf

http://cdimage.ubuntu.com/daily-live/20091027/karmic-desktop-amd64.iso

skillllllz (bmustafa) wrote :

Confirmed in Karmic final on more than one Laptop with 1440x900 resolution.

maxim(Feng Liu) (feng.liu) wrote :

Confirm again, just updated from 9.04 to 9.10: usplash cannot change to 1440x900 mode, using 1024x768 causing splash screen turn into
white box on the left corner of the screen.

this problem did not exist my 9.04 installation.

Thomas (thomas-scheffler) wrote :

Can confirm this to on a Dell XPS 1530 with Karmic final

ihendley (imran-hendley) wrote :

Same error on my Dell Latitude e6500 (amd64, 1440x900 res) after upgrading to Karmic.

I get the following message on a flickering screen:

usplash: Setting mode 1152x864 failedb-42e9-9e05-4793f9571f63
usplash: Using mode 1024x768

After a few seconds a login prompt comes up on the same screen, but it doesn't accept every keystroke, so entering my password (where no characters or asterisks are displayed) is impossible.

I've just installed Ubuntu 9.10 on my Dell Vostro 1700 and I've the same problem as ihendley.

It seems the nvidia driver was missing:

apt-get install nvidia-glx-185 did the trick!

maxim(Feng Liu) (feng.liu) wrote :

to erik.vonderheid :

185 driver is automatically installed during the update, except the boot splash, everything else works fine.

machine: dell latitude D630, with nvidia Quadro NVS 135M.

I just uninstalled boot splash, both usplash and xsplash, they are eye candies anyway.

I already have the 185 drivers and the problem persists.

epictete (p-latreyte) wrote :

Same problem: Dell Inspiron 1720 (1440x900). The datas you've asked for:
Karmic Koala.
philippe@ubuntu-linux-bqf:~$ lspci -vvnn > lspci-vvnn.txt
philippe@ubuntu-linux-bqf:~$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900
philippe@ubuntu-linux-bqf:~$ uname -a
Linux ubuntu-linux-bqf 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux
philippe@ubuntu-linux-bqf:~$

Michael Ranby (mran) on 2009-10-31
description: updated
Gabe Gorelick (gabegorelick) wrote :

This thread: http://ubuntuforums.org/showthread.php?p=8155095 also discusses this problem.

tags: added: ubuntu-boot-experience

Is there something we have to do (besides waiting) to get a response to this bug report?

maxim(Feng Liu) (feng.liu) wrote :

i switched to the kdm and it works fine.

@maxim(Feng Liu): I can't see how that would make a difference. Isn't usplash loaded _before_ kdm/gdm?

Gabe Gorelick (gabegorelick) wrote :

Switching to kdm might fix this since kdm may not use xsplash yet. I never got this bug until upgrading to karmic, which leads to me believe that while this bug may have existed for a while, the message saying it couldn't set to mode NxN, was being hid by the usplash splash screen. It looks like that the error message appears in the transition from usplash to xsplash, so that would explain why a lot of people only get this in karmic.

ceasol (ceasol) wrote :

My laptop Dell XPS M1330 never showed this problem until Karmic arrives.

I have Nvidia 185 drives, the resolution for my laptop by default is 1280x800

I run

sudo update-initramfs -u

And looks like the errors disappeared but still appearing a terminal screen with the message

Starting up...

mathew (meta23) wrote :

Same problem here. Never had the problem before Karmic.

jmax (jmhuet) wrote :

Same problem after upgrade to karmic.

~$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

~$ uname -a
Linux manapany 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

Ashish Narmen (ashish.narmen) wrote :

I face the same problem
$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.
xres=1024
yres=768

$ uname -a
Linux mabus7747 2.6.31-14-generic-pae #48-Ubuntu SMP Fri Oct 16 15:22:42 UTC 2009 i686 GNU/Linux

rativid (rativid) wrote :

Same problem
DELL D620

$ lspci | grep VGA
01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)

$ cat /etc/usplash.conf
# Usplash configuration file
xres=1440
yres=900
$ uname -a
Linux DELL 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

tags: added: iso-testing
Lemmiwinks (lemmiwinks) wrote :

I get the same error on a Dell Inspiron 1520 laptop:

$ lspci |grep VGA
01:00.0 VGA compatible controller: nVidia Corporation G84 [GeForce 8600M GT] (rev a1)

$ cat /etc/usplash.conf
# Usplash configuration file
# These parameters will only apply after running update-initramfs.

xres=1440
yres=900

$ uname -a
Linux andy-laptop 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

I also have the Nvidia proprietary driver version 190.42 installed.

kris (kris-kubiak) wrote :

.

In Ubuntu 9.10 Karmic
This error is caused by nvidia driver 190.xx series

!!! HERE IS A SOLUTION !!!

I have started recovery mode in GRUB and I uninstalled my nvidia drivers from command line
sudo sh cudadriver_2.3_linux_32_190.18.run --uninstall

Before be able to use new nvidia driver you must uninstall all previous nvidia drivers.
Check in System > Administation > Hardware Drivers for nvidia drivers and remove them.

shut down x server:
$ sudo /etc/init.d/gdm stop

download new driver
wget http://www.nvidia.com/.......last driverlinux_32_190.18.run (find last one)

install new driver
sudo sh NVIDIA-Linux-x86-190.42-pkg1.run

restart xserver
$ sudo /etc/init.d/gdm restart

For me it works. Good luck.

.

Gabe Gorelick (gabegorelick) wrote :

@kris, do you mean that this bug has been fixed in the 190 series? Because I get this using the nVidia 185 driver included in karmic.

Can anyone else confirm that the latest nVidia driver fixes this?

Lemmiwinks (lemmiwinks) wrote :

No the 190 series do not fix the error. I reinstalled them several times, due to updated versions.

Lemmiwinks (lemmiwinks) wrote :

Well I never reinstalled the driver in recovery mode, but what difference should that make?

GG (pcdoctor01) wrote :

This is really the same as installing the driver manually but it make the install automated.
Do any of you have EnvyNG on your machines?
I have EnvyNG on two of my desktops and when run the program it will give you three choices for Nvidia/ATI drivers.
Maybe it's worth a shot.
http://albertomilone.com/envyngfaq.html#A

Lemmiwinks (lemmiwinks) wrote :

As far as I know EnvyNG does not do anything else than Synaptic. So it downloads the deb files installs them and thats it, which will never give you the latest driver.

GG (pcdoctor01) wrote :

Gotcha,
I thought maybe if you tried one of the three drivers that EnvyNG supplies, that maybe your problem would be fixed. I have a Dell monitor and it's set for 1440x900 and I used to get this error but don't anymore.

Gabe Gorelick (gabegorelick) wrote :

I tried uninstalling the nVidia 185 driver and that did not fix the problem.

kris (kris-kubiak) wrote :

My Ubuntu Karmic crashed after Video Card upgrade

In my case, ubuntu crashed after I upgraded Video Card to nvidia 9800GT and installed manually new driver 190.xx without uninstalling previous version 180.xx which is installed by System >Administration > Hardware Drivers. (monitor Acer with 1440x900).

1. To fix the problem I uninstalled manually all nvidia drivers, and installed again new nvidia driver.
Probably you need to restore /etc/X11/xorg.conf file if you have done backup copy, and modified /etc/usplash.conf files according to post #26.

2. Another Solution is to boot Ubuntu Karmic from LiveCD and save configuration files for graphic card:
/etc/X11/xorg.conf
/etc/usplash.conf
make backup of your configuration files and replace by those from LiveCD,
in terminal or in recovery mode (in real system NOT from Live CD) run command: update-initramfs -u
reboot system

*** read also posts #26 and #61 in this thread ***

let me know if this help

kris (kris-kubiak) wrote :

This is the problem in graphic card configuration not in the drivers version.
I managed to run properly nvidia 9800GT with 180.xx and also with 190.42 drivers version on Acer(1440x900) screen which is hard to manage even under windows XP with this resolution.

It must have something to do with 1440x900 resolution mode when ratio aspect is 16:9 wide configuration.

Gabe Gorelick (gabegorelick) wrote :

@kris, I agree this doesn't look like a driver issue, especially since I still get this without using the nVidia driver. Can anyone confirm this on non-nVidia hardware?

bdoe (bdoe-att) wrote :

I don't think this is a driver problem either. If I'm not mistaken, the
nVidia (or whatever) drivers aren't even loaded at this point, which
means it's still using the standard VESA driver until X loads up.

It's also interesting that this is affecting everyone with 1440x900
screens, which is a 16:10 (8:5) resolution; however, the screenmode we
are being told has failed is a 4:3 resolution, as is the fallback
1024x768 (which is a standard SVGA resolution.... I had never heard of
1152x864 before this issue came up).

-----Original Message-----
From: Gabe Gorelick
Subject: [Bug 67826] Re: Boot starts with: "setting mode nnn x nnn
failed"
Date: Sun, 22 Nov 2009 20:19:25 -0000

@kris, I agree this doesn't look like a driver issue, especially since I
still get this without using the nVidia driver. Can anyone confirm this
on non-nVidia hardware?

Pal Jeno (paljenczy) wrote :

I have the same issue with an ATI 9250 and Samsung 1440x900.
However, in the display menu it shows the correct resolution and
I cannot see great difference compared to Jaunty... Still, a
solution would be highly appreciated.

piine (piine65) wrote :

Hi everyone, I had this problem, my laptop is a Dell Inspiron E1505, nVidia 7300, Core2Duo 7200, Ubuntu 9.10, also, it gave a msg "unable to mount filesystem" ran "fsck -yf /dev/sda5" and rebooted, works fine. Just thought I'd add that for anybody it might pertain to...

Ruben Verhack (ruben-verhack) wrote :

Confirming this on a Acer Aspire 5420. resolution should be 1440x900. Nvidia 190.xx

yuane (yuane) wrote :

the same problem. Nvidia 8300GS with 185.xx

morgotch (mevtew) wrote :

i solved the problem by using fsck from shel, now its work properly on ATI Radeon 9300

zws (zws01) wrote :

me too! bad bug!

Lemmiwinks (lemmiwinks) wrote :

Well the bug is gone in lucid, I guess because it uses plymouth instead of usplash/xsplash...

Gabe Gorelick (gabegorelick) wrote :

That's correct, Lucid will use plymouth by default, so this bug should not be as visible.

skubo@zoominternet.net (skubo) wrote :

i started getting this after a bad shutdown.

usplash: setting mode 1024x768 failed
usplash: using mode 800x600
ubuntu 8.04.2 orac tty1
orac login:

on a dell 910 mini ,ubuntu

in slackware i uses startx ,not found in ubuntu.
the startup isn't covered by a splash sceen.
does the kernel control the progress bar.

would any key sets change any settings ?
what keys would turn the desktop back on after using cntrl+shift+backspace

gdmsetup
(gdmsetup: 4432): gtk-warning ** :cannot open display:

uname =
linux orac 2.6.24-27-lpia #1 smp thu apr 8 18:04:46 utc 2010 i686 gnu /linux

/etc/uspash.conf
xres=1024
yres=768

tried using y=600, dell book says sceen size is 1024x600.
still the same.

sudo update-initramfs -u

cannot make temp dir /tmp/mkinitramfs_rb4895:
no such file or directory

generating /boot/initrd.img -2.6.24-27-lpia

sudo apt-get update
E: sub-process returned an error code.

i found update on the apt-get man page,would the -f option replace any missing files.

looked like the last kernel update made a grub entry,but thier might of been a wright error.
found the shift key on the grub2 thread.

i hit the esc or ctrl+atl+del key during the progress bar, and got a window with this in it.

"could not start the x server (your graphical environment) due to some internal error.
please contact your system administrator or check your syslog to diagnose.
in the meantime this display will be disabled.
please restart gdm when the problem is corrected."

is thier a log location for the startup data.

what search terms would find if anyone else is having this problem after the last update?

moblin is working from usb stick but gets kernel panics when using file browser.

i think the login window had a boot option menu on it can that be accessed from text mode.

--------------------------------------------------
sidenote
at the top of the apt-get man page thiers [-HVS] ,is this a special set of options
the letters overlap with another puzzle.
do the numbers 3243 , 51311 have special use in linux?

Phillip Susi (psusi) wrote :

The usplash package has been superseded by plymouth and has been removed from the Ubuntu archive. Closing all related bugs.

Changed in usplash (Ubuntu):
status: Confirmed → Invalid

Hello!
I am Julia, I am 27 y.o.
I search for boy-friend.
My photos and new message for you here:

http://hotbrides.ru

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions